# rtai_lxrt.h File Reference

## Detailed Description

LXRT main header.

Author:
  Paolo Mantegazza

Note:
  Copyright © 1999-2003 Paolo Mantegazza <mantegazza@aero.polimi.it>

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.

ACKNOWLEDGMENTS: Pierre Cloutier (pcloutier@poseidoncontrols.com) has suggested the 6 characters names and fixed many inconsistencies within this file.

Include dependency graph for rtai_lxrt.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void * | rt_get_adr (unsigned long name)
| Get an object address by its name.
unsigned long | rt_get_name (void *adr)
| Get an object name by its address.
RT_TASK * | rt_task_init (int name, int priority, int stack_size, int max_msg_size)
| Create a new real time task in user space.
void | rt_make_soft_real_time (void)
| Return a hard real time Linux process, or pthread to the standard Linux behavior.
void | rt_make_hard_real_time (void)
| Give a Linux process, or pthread, hard real time execution capabilities allowing full kernel preemption.
void | rt_allow_nonroot_hrt (void)
| Allows a non root user to use the Linux POSIX soft real time process management and memory lock functions, and allows it to do any input-output operation from user space.